==========
Data types
==========
.. currentmodule:: polars.datatypes

DataType
~~~~~~~~
.. autosummary::
    :toctree: api/
    :nosignatures:

    DataType

Numeric
~~~~~~~
.. autosummary::
    :toctree: api/
    :nosignatures:

    Decimal
    Float32
    Float64
    Int8
    Int16
    Int32
    Int64
    Int128
    UInt8
    UInt16
    UInt32
    UInt64

Temporal
~~~~~~~~~~~
.. autosummary::
    :toctree: api/
    :nosignatures:

    Date
    Datetime
    Duration
    Time

Nested
~~~~~~
.. autosummary::
    :toctree: api/

    Array
    List
    Field
    Struct

String
~~~~~~
.. autosummary::
    :toctree: api/
    :nosignatures:

    String
    Categorical
    Enum
    Utf8

Other
~~~~~
.. autosummary::
    :toctree: api/
    :nosignatures:

    Binary
    Boolean
    Null
    Object
    Unknown
